/*
 * @Author: zk
 * @Date: 2021-09-16 16:20:11
 * @LastEditTime: 2021-10-15 12:00:29
 * @LastEditors: Please set LastEditors
 * @Description: 柱状图初始数据
 * @FilePath: \vue-admin-template-master\src\layout\mixin\commonChartsLine.js
 */
export default {
  data () {
    return {
      options: {
        color: ['#7569BE'],
        tooltip: {
            trigger:"axis",
        },
        grid: {
          // top: "10%",
          // left: "10%",
          // right: "10%",
          bottom: "10%", //也可设置left和right设置距离来控制图表的大小
        },
        xAxis: {
          type: 'category',
          axisTick: {
            show: false
          },
          axisLine: {
            show: true,
            lineStyle: {
              color: '#000000'
            }
          },
          splitLine: {
            lineStyle: {
              type: 'solid',
              color: '#000000'
            }
          },
          axisLabel: {
            color: '#000000'
          }
        },
        // color:['#ccc','red'],
        yAxis: {
          type: 'value',
          axisTick: {
            show: false
          },
          axisLine: {
            show: false,
            lineStyle: {
              color: '#000000'
            }
          },
          splitLine: {
            lineStyle: {
              type: 'solid',
              color: '#DCDFE6'
            }
          },
          axisLabel: {
            color: '#000000'
          }
        },
        series: [
          {
            name: '',
            type: 'bar',
            z:"-1",
            barGap: '-100%',
            barWidth: 10,
            data: []
        },
        {
            name: '',
            type: 'bar',
            barWidth: 10,
            data: []
        }]
      }
    }
  }
}